Skip to main content

Create internal own withdrawal

POST 

/api/withdrawal/internal-own

Creates an internal transfer between wallets owned by the merchant and returns the created transaction.

Request​

Bodyrequired

Internal own withdrawal creation payload.

    srcWalletIdstringnullable

    Src Wallet Id.

    Example: USD880390848110
    amountnumberrequired

    Amount.

    Possible values: >= 0

    Example: 10.25
    actionstringrequired

    Action.

    Possible values: [GIVE, GET]

    Example: GIVE
    notestringnullable

    Note.

    Possible values: <= 255 characters

    Example: Sandbox transfer note
    srcCurrencystringnullable

    Src Currency.

    Possible values: [USD, EUR, USDT, USDC, BTC, ETH, SOL, TRX, XRP, TON, LTC]

    Example: USD
    destWalletIdstringnullable

    Dest Wallet Id.

    Example: USD880390848110
    destCurrencystringnullable

    Dest Currency.

    Possible values: [USD, EUR, USDT, USDC, BTC, ETH, SOL, TRX, XRP, TON, LTC]

    Example: USD

Responses​

OK

Schema
    transactionIduuid

    Transaction Id.

    Example: 11111111-1111-4111-8111-111111111111
    paymentMethodTypestring

    Payment Method Type.

    Possible values: [INTERNAL_OWN]

    Example: INTERNAL_OWN
    transactionTypestring

    Transaction Type.

    Possible values: [INTERNAL_TRANSFER_OWN]

    Example: INTERNAL_TRANSFER_OWN
    statusstring

    Status.

    Possible values: [PENDING, COMPLETED, CANCELED, REFUNDED]

    Example: COMPLETED
    directionstring

    Direction.

    Possible values: [DEPOSIT, WITHDRAWAL]

    Example: DEPOSIT
    transactionDirectionstring

    Transaction direction.

    Possible values: [INCOMING, OUTGOING, EXCHANGE]

    Example: OUTGOING
    currencystring

    Currency.

    Possible values: [USD, EUR, USDT, USDC, BTC, ETH, SOL, TRX, XRP, TON, LTC]

    Example: USD
    amountnumber

    Amount.

    Example: 10.25
    createdAtdate-time

    Created At.

    paymentScopestring

    Payment Scope.

    Possible values: [MERCHANT_API]

    Example: MERCHANT_API
    orderIdstring

    Order Id.

    Example: ORDER_123456
    walletSrcIdstring

    Wallet Src Id.

    Example: USD880390848110
    walletDestIdstring

    Wallet Dest Id.

    Example: USD880390848110
    fullCommissionnumber

    Full Commission.

    Example: 10.25
    commentstring

    Comment.

    Example: Sandbox transfer note
    cryptoCurrencyTxHashstring

    Crypto Currency Tx Hash.

    Example: 4e3ab7d90c8f254ad96e38d5471b72411d4cc47a6cd317a15ca020d8212b0f5e
    completedAtdate-time

    Completed At.